Bug 208765 - kernel panic - system freeze - changed selinux-policy-strict
kernel panic - system freeze - changed selinux-policy-strict
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-01 15:33 EDT by C. Moffatt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-02 14:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description C. Moffatt 2006-10-01 15:33:58 EDT
Description of problem: System froze twice when I changed the selinux policy to
strict.  I could access anything to fix it, I had to rebuild my system twice.

Version-Release number of selected component (if applicable):
selininx-policy-strict 2.2.23-15

How reproducible: Happened twice using the kernel 2.6.17-1.2187_FC5smp, and the
other optional kernel-similar to the above kernel.

Steps to Reproduce:
1.installed selinux strict policy using kyum first time, and konsole the second time
2.Changed policy to strict in selinux
3.Rebooted-system froze twice!!!
Actual results:System froze had to rebuild system twice.  It couldn't kill init!

Expected results: selinux to work in a stricter/safer way.

Additional info:  here is the info the computer gave me:  /sbin/init: error
while loading shared libraries: libsepol.so.1: failed to map segment from shared
object: Permission denied  kernel panic-not syncing: Attempting to kill init!
Comment 1 Daniel Walsh 2006-10-02 14:34:15 EDT
In order to switch to strict policy, you need to follow the following steps

install selinux-policy-strict
change /etc/selinux/config to strict policy
touch /.autorelabel
reboot in permissive mode, so the relabeling will success
reboot in enforcing mode.

Good luck.

Note You need to log in before you can comment on or make changes to this bug.